Bug 901568 - print the time of rebalance start when rebalance status command is issued
print the time of rebalance start when rebalance status command is issued
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Raghavendra Talur
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 09:33 EST by Raghavendra Bhat
Modified: 2013-05-09 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-09 05:16:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2013-01-18 09:33:10 EST
Description of problem:

rebalance status command should also print the time at which rebalance was started so that it will be helpful to measure the rebalance performance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Raghavendra Talur 2013-02-21 08:21:33 EST
Here is a sample output of rebalance status command when rebalance is in progress

-----------------------------------------------------------------------------------------------------------------------------------
root@raghavendratalur:~
# gluster volume rebalance patchy status
                                    Node Rebalanced-files          size       scanned      failures         status run time in secs
                               ---------      -----------   -----------   -----------   -----------   ------------   --------------
                               localhost              207       207.0MB           578             0    in progress            26.00
volume rebalance: patchy: success: 
-----------------------------------------------------------------------------------------------------------------------------------


We get a similar output for "rebalance completed" as well. This functionality already exists in master in upstream.

Is it sufficient to close this bug/request?
Comment 2 Raghavendra Bhat 2013-05-08 09:45:40 EDT
Time in seconds is displayed in rebalance status command. Even after the rebalance is completed the time duration is printed.

Note You need to log in before you can comment on or make changes to this bug.